package com.ebaiyihui.family.doctor.common.vo.cloudHis;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.math.BigDecimal;

/**
 * 收费单创建dto
 *
 * @author lc
 * @date 2024/04/02
 */
@Data
public class FeeBillCreationDto {

    @ApiModelProperty(value = "门诊号")
    @NotBlank(message = "门诊号不能为空")
    private String outpatientNo;

    @ApiModelProperty(value = "总金额【最大金额，所有总数】")
    private BigDecimal amount;

    @ApiModelProperty(value = "应付总金额")
    private BigDecimal totalAmount;

    @ApiModelProperty(value = "处方号")
    private String prescriptionNo;

    @ApiModelProperty(value =  "备注")
    private String remark;

    @ApiModelProperty(value = "结算方式SettlementMethod")
    private Integer settlementMethod;

    @ApiModelProperty(value = "医保支付类型 ")
    private Integer medicalInsuranceType;

    @ApiModelProperty(value ="支付订单描述")
    private String payOrderName;

    @ApiModelProperty(value ="订单类型：10挂号费")
    private Integer orderType;

}
