package com.ebaiyihui.family.doctor.server.service;


import com.ebaiyihui.family.doctor.common.vo.cloudHis.*;
import com.ebaiyihui.family.doctor.server.entity.PatientSignEntity;
import com.ebaiyihui.framework.response.BaseResponse;
import com.ebaiyihui.his.pojo.vo.base.FrontResponse;

public interface HisTemplateService {


    /**
     * 手动在云his挂个号
     *
     * @return
     */
    BaseResponse<Object> registrationAndTreatment(PatientSignEntity patientEntity);


    /**
     * Description: 南昌众康医院 -登记挂号
     *
     */
    MakeAnAppointmentRequestVO admissionRegistration(AppPointRequestDTO appPointRequestDTO);


    /**
     * Description: 南昌众康医院 -更新挂号信息（接诊）
     *
     */
    FrontResponse<String> updateAppointment(AppPointRequestDTO appPointRequestDTO);

    /**
     * Description: 南昌众康医院 -保存诊断信息
     *
     */
    FrontResponse<String> saveDiagnostic(DiagnosticReqDTO diagnosticReqDTO);

    /**
     * 查询his医生科室信息
     * @param deptId
     * @param doctorId
     * @return
     */
    HisDeptAndDocCodeVo getHisDeptAndDocCode(String deptId, String doctorId);

    /**
     * Description: 南昌众康医院 -订单预支付
     *
     */
    FrontResponse<FeeBillCreationVo> createCharge(FeeBillCreationDto feeBillCreationDto);

    /**
     * Description: 南昌众康医院 -订单支付
     *
     */
    FrontResponse<PayVo> payment(PayDto payDto);

    /**
     * Description: 南昌众康医院 -病历归档
     *
     */
    FrontResponse<String> archiving(ArchivingRequestDTO archivingRequestDTO);

    /**
     * Description: 南昌众康医院 -复诊号退款
     *
     */
    FrontResponse<PayRefundVo> refund(PayRefundDto payRefundDto);

    /**
     * Description: 南昌众康医院 -查询挂号类型医生及部门信息
     *
     */
    FrontResponse<OutpatientTypeVo> checkDocAndDeptAndRegFeeInfo(HisDeptAndDocCodeVo hisDeptAndDocCode);




}
